W(1)

NAME
w - who is on and what they are doing

SYNOPSIS
w [ -h ] [ -l ] [ -s ] [ -u ] [ -w ] [ user ]

DESCRIPTION
W prints a summary of the current activity on the system, including what each user is doing. The heading line shows the current time of day, how long the system has been up, the number of users logged into the system, and the load averages. The load average numbers give the number of jobs in the run queue averaged over 1, 5 and 15 minutes.

The fields output are: the users login name, the name of the tty the user is on, the time of day the user logged on, the number of minutes since the user last typed anything, the CPU time used by all processes and their children on that terminal, the CPU time used by the currently active processes, the name and arguments of the current process.

If a user name is given, the output will be restricted to that user.

The w command accepts the following options:

-h  Omit the heading.

-l  Long output format, which is the default.

-s  Selects a short form of output that abbreviates the tty, leaves off the login time and cpu times, as the arguments to commands.

-u  Prints the first line of the heading only.

-w  Long output format, which is the default.

ENVIRONMENT VARIABLES

LANG, LC_ALL
    See locale(7).

LC_CTYPE
    Determines the set of printable characters when printing command lines.

FILES

/proc
    list of processes

/var/run/utmp
    list of active logins

SEE ALSO
ps(1), uptime(1), who(1), whodo(1), proc(5), utmp(5)